const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['SandBoxServerSettings']
const formValues = ['Enable', 'Timeout', 'Servers', 'UseTls', 'UsePinnedCertificate', 'PinnedCertificate',
    'RequestQueuePath', 'MaxRequestQueueSize', 'UseActions', 'Actions']

function toView (settCache, activePolicyCache) {
    let data = hlp.localSettingsToView(settCache.SandBoxServerSettings,activePolicyCache.SandBoxServerPolicy,formValues);
    data.MaxRequestQueueSize.KLPRSS_Val[0] = (data.MaxRequestQueueSize.KLPRSS_Val[0] / 1024 / 1024);
    data.Timeout.KLPRSS_Val[0] = data.Timeout.KLPRSS_Val[0] / 1000;
    data.LocalSettings=true
    return data
}

function toRaw (changedData, settCache) {
    let data = changedData;
    data.MaxRequestQueueSize.KLPRSS_Val[0] = (data.MaxRequestQueueSize.KLPRSS_Val[0] * 1024 * 1024);
    data.Timeout.KLPRSS_Val[0] = data.Timeout.KLPRSS_Val[0] * 1000;

    hlp.ItemToLocalSettings(data);
    Object.assign(settCache.SandBoxServerSettings, lo.pick(data, formValues))
}

module.exports = {
    sections,
    toView,
    toRaw
};
